#ifndef _MMI_FILEVIEWER_H_
#define _MMI_FILEVIEWER_H_
/*******************************************************************************

          Texas Instruments

********************************************************************************

 This software product is the property of Texas Instruments and may not be
 disclosed to any third party without the express permission of the owner.

********************************************************************************

 $Project name: File Viewer
 $Module:   	File Viewer
 $File:       	MmiFileViewer.h
 $Revision:   	1.0
 $Author:   	xdeepadh - sasken India
 $Date:       	11/05/05

********************************************************************************

 Description:This module contains the functionality of File Viewer Application.

   

********************************************************************************
 $History: MmiFileViewer.h

 	Aug 22, 2005    REF: ENH 31154 xdeepadh
   	Description: Application to Test Camera
   	Solution: Implemeted the Fileviewer to view the jpeg images.Camera Application to 
   	preview,capture and save image has been implemented.

     

 $End

*******************************************************************************/
GLOBAL int LaunchFileViewer( MfwMnu *m, MfwMnuItem *i );
void mmi_fv_init(int* fileCount);
 char *mmi_fv_GetExtension(char *src);
GLOBAL int mmi_fv_reame_edit(MfwMnu* m, MfwMnuItem* i);
GLOBAL int mmi_fv_set_rotate_90degree (MfwMnu* m, MfwMnuItem* i);
GLOBAL int mmi_fv_set_rotate_180degree (MfwMnu* m, MfwMnuItem* i);
GLOBAL int mmi_fv_set_rotate_270degree (MfwMnu* m, MfwMnuItem* i);
GLOBAL int mmi_fv_set_zoom_out (MfwMnu* m, MfwMnuItem* i);
GLOBAL int mmi_fv_set_zoom_in (MfwMnu* m, MfwMnuItem* i);
int mmi_fv_view_image_start(MfwMnu* m, MfwMnuItem* i) ;
T_MFW_HND mmi_fv_opt_start(T_MFW_HND parent_window, MfwMnuAttr *menuAttr);
int mmi_fv_rename_file_start(MfwMnu* m, MfwMnuItem* i) ;
int mmi_fv_rotate_start(MfwMnu* m, MfwMnuItem* i);
int mmi_fv_zoom_start(MfwMnu* m, MfwMnuItem* i);
int mmi_fv_delete_start(MfwMnu* m, MfwMnuItem* i);
GLOBAL int mmi_fv_read_jpeg_file(UBYTE index);
int mmi_fv_rotate_image_start(T_MFW_HND win) ;
#endif //_MMI_FILEVIEWER_H_